[PATCH] gold: Update ver_test_pr16504.sh
H.J. Lu
hjl.tools@gmail.com
Fri May 1 16:02:10 GMT 2020
I am checking in this patch
H.J.
---
commit df3a023bd614133fe69afb02cd0e8f3e590a36a9
Author: Alan Modra <amodra@gmail.com>
Date: Tue Jul 23 17:54:42 2019 +0930
SHF_GNU_MBIND requires ELFOSABI_GNU
changed readelf to print IFUNC only for ELFOSABI_GNU. Since
$ readelf -h ver_test_pr16504.so
...
OS/ABI: UNIX - System V
...
we get
$ readelf -sW ver_test_pr16504.so
...
3: 0000000000000378 13 <OS specific>: 10 GLOBAL DEFAULT 9 foo@@VER1
...
Update ver_test_pr16504.sh to also accept "<OS specific>: 10".
---
gold/testsuite/ver_test_pr16504.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/gold/testsuite/ver_test_pr16504.sh b/gold/testsuite/ver_test_pr16504.sh
index 90574149e0..9def5a525e 100755
--- a/gold/testsuite/ver_test_pr16504.sh
+++ b/gold/testsuite/ver_test_pr16504.sh
@@ -24,7 +24,7 @@
check()
{
- if ! grep -q "$2" "$1"
+ if ! egrep -q "$2" "$1"
then
echo "Did not find expected symbol in $1:"
echo " $2"
@@ -36,6 +36,6 @@ check()
}
check ver_test_pr16504.stdout " FUNC .* UND *foo@VER2"
-check ver_test_pr16504.stdout " IFUNC .* foo@@VER1"
+check ver_test_pr16504.stdout " (IFUNC|<OS specific>: 10) .* foo@@VER1"
exit 0
--
2.26.2
More information about the Binutils
mailing list